Bug 463446 - rhn-schema-version returns nothing.
rhn-schema-version returns nothing.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Sayli Karmarkar
:
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2008-09-23 10:53 EDT by Justin Sherrill
Modified: 2015-03-22 21:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:53:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-09-23 10:53:55 EDT
After installing satellite 5.3, running rhn-schema-version returns nothing:

[root@dhcp231-174 ~]# rhn-schema-version 
[root@dhcp231-174 ~]# 


from iso Satellite-5.3.0-RHEL5-re20080919.1-i386-embedded-oracle.iso
Comment 1 Milan Zazrivec 2008-09-23 11:22:59 EDT
This should do it:

--- ./rhn-schema-version
+++ ./rhn-schema-version
@@ -95,7 +95,7 @@
                 SELECT PE.evr.as_vre_simple()
                   FROM rhnPackageEVR PE, rhnVersionInfo RVI
                  WHERE RVI.label = 'schema'
-                   AND RVI.name_id = lookup_package_name('rhn-satellite-schema')
+                   AND RVI.name_id = lookup_package_name('spacewalk-schema')
                    AND RVI.evr_id = PE.id
                 """)
         h.execute()
Comment 2 Milan Zazrivec 2009-01-21 05:02:55 EST
Fixed in spacewalk.git 1df3c73cc20bc5b410420d151a14a0ac2855f665
Comment 3 Sayli Karmarkar 2009-02-05 13:18:03 EST
Verified with Satellite-5.3.0-RHEL5-re20090203.0-i386-embedded-oracle.iso.

[root@rlx-2-08 network]# rhn-schema-version 
5.3.0.9-3.el5sat

~SayliK
Comment 4 Jeff Browning 2009-08-09 14:02:01 EDT
[root@dhcp77-153 ~]# rhn-schema-version
5.3.0.23-1.el5sat
Comment 5 Brandon Perkins 2009-09-10 14:53:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.